List a video's CTAs
Returns the timed call-to-action buttons configured for a video. Requires the `videos:read` scope.
Returns the timed call-to-action buttons configured for a video. Requires the videos:read scope.
Authorization
BearerAuth AuthorizationBearer <token>
Pass the raw API key as a Bearer token (Authorization: Bearer <key>). Publishable keys start with mvi_pub_ (playback-scoped). Other prefixes denote private/admin keys for general REST routes. GET /v1/embeds/{embedId}/playback accepts publishable keys only.
In: header
Path Parameters
id*string
Video identifier.
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://api.moviie.ai/v1/videos/497f6eca-6276-4993-bfeb-53cbbbba6f08/ctas"[
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"video_id": "165252b3-cd77-4f41-a38f-02417eac7441",
"title": "string",
"url": "https://example.com/offer",
"start_time_seconds": 0,
"end_time_seconds": 1,
"placement": "overlay",
"position": "top-left",
"size": "sm",
"color": "string",
"pass_url_params": true,
"is_active": true,
"order": 0,
"created_at": "string",
"updated_at": "string"
}
]{
"error": "Resource not found",
"code": "NOT_FOUND"
}{
"error": "Resource not found",
"code": "NOT_FOUND"
}